package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.QJMapper;
import com.sa.ibiz.demo.demo.domain.QJ;
import com.sa.ibiz.demo.demo.service.QJService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.QJSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[QJ] 服务对象接口实现
 */
@Service
public class QJServiceImpl extends ServiceImplBase<QJMapper, QJ> implements QJService{


    @Resource
    private QJMapper qjMapper;


    @Override
    public boolean create(QJ et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(QJ et){
        this.beforeUpdate(et);
		this.qjMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(QJ et){
		return et.getQjid();  
    }

    @Override
    public boolean getDraft(QJ et)  {
            return true;
    }

	public List<QJ> listDefault(QJSearchFilter filter) {
		return qjMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<QJ> searchDefault(QJSearchFilter filter) {
		return qjMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return qjMapper.selectRow(sql);
    }

 }